# The XSLT C library for GNOME

## The xsltproc tool

Main Menu

- Home
- Introduction
- Documentation
- Reporting bugs and getting help
- How to help
- Downloads
- FAQ
- News
- The xsltproc tool
- DocBook
- The programming API
- Python and bindings
- Library internals
- Writing extensions
- Contributions
- libexslt
- flat page, stylesheet
- API Menu
- ChangeLog

Related links

- Tutorial, Tutorial2
- Man page for xsltproc
- Mail archive
- XML libxml2
- FTP
- Windows binaries
- Solaris binaries
- MacOsX binaries
- Bug Tracker
- lxml Python bindings
- Perl XSLT bindings
- XSLT with PHP
- Apache module
- Pascal bindings
- Xsldbg Debugger

API Indexes

- Alphabetic
- Constructors
- Functions/Types
- Modules
- Symbols

This program is the simplest way to use libxslt: from the command line. It is also used for doing the regression tests of the library.

It takes as first argument the path or URL to an XSLT stylesheet, the next arguments are filenames or URIs of the inputs to be processed. The output of the processing is redirected on the standard output. There is actually a few more options available:

    orchis:~ -> xsltproc
    Usage: xsltproc [options] stylesheet file [file ...]
       Options:
          --version or -V: show the version of libxml and libxslt used
          --verbose or -v: show logs of what's happening
          --output file or -o file: save to a given file
          --timing: display the time used
          --repeat: run the transformation 20 times
          --debug: dump the tree of the result instead
          --novalid: skip the DTD loading phase
          --noout: do not dump the result
          --maxdepth val : increase the maximum depth
          --html: the input document is(are) an HTML file(s)
          --docbook: the input document is SGML docbook
          --param name value : pass a (parameter,value) pair
          --nonet refuse to fetch DTDs or entities over network
          --warnnet warn against fetching over the network
          --catalogs : use the catalogs from $SGML_CATALOG_FILES
          --xinclude : do XInclude processing on document input
          --profile or --norman : dump profiling information
    orchis:~ ->

Daniel Veillard